%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global patchlevel 2
%global npmver %{version}%{?patchlevel:-%{patchlevel}}

Name:       nodejs-readable-stream
Version:    1.0.26
Release:    1%{?patchlevel:.p%{patchlevel}}%{?dist}
Summary:    Create streams lazily when they are read from or written to
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/jpommerening/node-readable-stream
Source0:    https://github.com/isaacs/readable-stream/archive/v%{npmver}/readable-stream-%{npmver}.tar.gz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
%{summary}.


%prep
%setup -q -n readable-stream-%{npmver}

#this is part of node core in v0.10.x and can be require()ed identically
%nodejs_fixdep -r string_decoder


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/readable-stream
cp -pr package.json lib *.js \
    %{buildroot}%{nodejs_sitelib}/readable-stream

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%doc LICENSE README.md examples/
%{nodejs_sitelib}/readable-stream


%changelog
* Fri Mar 21 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.4-1
- initial package
